ZIP_STAT_INIT(3) | Library Functions Manual | ZIP_STAT_INIT(3)

# NAME

`zip_stat_init` — initialize zip_stat structure

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

void
`zip_stat_init`(zip_stat_t *sb);

# DESCRIPTION

The `zip_stat_init`() function initializes the members of a struct zip_stat. The current members are described in zip_stat(3), but this function should be used to initialize it to make sure none are missed. The structure pointed to by sb must be allocated before calling `zip_stat_init`().

This function should be used by functions provided to zip_source_function(3) when returning `ZIP_SOURCE_STAT` information to make sure all fields are initialized.

# RETURN VALUES

If sb is valid, the function is always successful.

# SEE ALSO

libzip(3), zip_stat(3)

# HISTORY

`zip_stat_init`() was added in libzip 0.8.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

December 18, 2017 | NiH